
Redmine - Defect #37881

Thumbnails are no longer fetched for all notes of an issue

2022-11-02 16:45 - Ambright GmbH

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 5.0.5   

Resolution: Fixed Affected version: 5.0.3

Description

Hello. In Redmine 4 one could upload an attachment and use its file name in a thumbnail-macro in all issue comments (aka notes,

aka journal). With version 5 the thumbnail is shown only in the comment, with which an image was uploaded, and if one reuses the

macro code in other comments, then an error is shown "Error executing the thumbnail macro (test.jpg not found)"

Related issues:

Related to Redmine - Defect #37379: Thumbnail macro does not work when a file... Closed

Related to Redmine - Defect #37130: Wiki notation `attachment:file_name` cann... Closed

Has duplicate Redmine - Defect #38209: Error executing the thumbnail macro (A... Closed

Associated revisions

Revision 22012 - 2022-12-30 10:00 - Go MAEDA

Fix `{{thumbnail}}` macro in an issue note cannot fetch an image attached in a different note (#37881).

Patch by Mizuki ISHIKAWA.

Revision 22018 - 2023-01-02 06:52 - Go MAEDA

Merged r22012 from trunk to 5.0-stable (#37881).

History

#1 - 2022-11-07 07:08 - Go MAEDA

- File 37881-confirmed.jpg added

- Status changed from New to Confirmed

Confirmed the issue.

The macro {{thumbnail}} works only if the image is attached to the same journal where the macro is embedded. In the following screenshot,

{{thumbnail(IMG_6964.JPG)}} works in note-3 but does not in note-4.

This issue looks similar to #37379.

 37881-confirmed.jpg 

#2 - 2022-11-07 07:19 - Go MAEDA

- Related to Defect #37379: Thumbnail macro does not work when a file is attached and preview is displayed immediately added

#3 - 2022-12-21 02:09 - Mizuki ISHIKAWA

- File fix-37881.patch added

Patch attached.

I have made similar changes in #37130.

#4 - 2022-12-21 04:10 - Go MAEDA

- Related to Defect #37130: Wiki notation `attachment:file_name` cannot make a link to a file attached to other journals added

#5 - 2022-12-21 04:10 - Go MAEDA

- Target version set to 5.0.5
Setting the target version to 5.0.5.

#6 - 2022-12-30 10:00 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

#7 - 2023-01-02 06:52 - Go MAEDA

- Status changed from Resolved to Closed

#8 - 2023-01-27 04:45 - Go MAEDA

- Has duplicate Defect #38209: Error executing the thumbnail macro (Attachment image.png not found) when uploaded in note from MacOS Firefox

109 added

Files

37881-confirmed.jpg 154 KB 2022-11-07 Go MAEDA

fix-37881.patch 1.78 KB 2022-12-21 Mizuki ISHIKAWA
